start

# podebug

Marks PO messages so that it is easy to reference and locate strings when your translated application is running.

Use it to:

- Target your translations: see what files are being referenced for string appearing in your programs.
- Debug translations: if you know in what file the message occurs then you can quickly find it and fix it.

## Usage

    podebug [-f format] <in> <out>

Where:
-f is an optional format strings. The default format is “[%s]”
<in> is an input directory or PO file
<out> is an output directory or PO files, if missing output will be to standard out.

## Formats

A format string can have these various options:

f - full filename including directory F - as %f but with .po file extension b - base of filename B - base of filename with .po file extension d - directory name s - preset OpenOffice.org modifier

c - use only consonants

N - a set number of characters

A format string may look like this:

“%cf” - the full filename without vowels
“[%10cb] " - the first ten character after compressing the base of the filename and place it in square brackets with a space before the real message
“[%5cd - %cB] "

## Bugs

None known